For AI agents: a documentation index is available at the root level at /llms.txt and /llms-full.txt. Append /llms.txt to any URL for a page-level index, or .md for the markdown version of any page.
Dev Portal
DocsAPI ReferenceLearnCommunityChangelog
DocsAPI ReferenceLearnCommunityChangelog
    • About Our APIs
  • REST
    • Overview
      • Overview
      • Storefront
      • Management
        • Overview
          • Addresses
          • Authentication
          • Channels
          • Company
          • Invoice Management
          • Orders
          • Payment
          • Quotes
          • Sales Staff
          • Shopping List
            • GETList Shopping Lists
            • POSTCreate Shopping List
            • GETGet Shopping List
            • PUTUpdate Shopping List
            • DELDelete Shopping List
            • DELDelete Shopping List Item
          • Super Admin
          • Users
  • GraphQL
    • Overview
  • MCP
    • Overview
Dev Portal
LogoLogo
RESTB2BManagementShopping List

Update Shopping List

PUT
https://api-b2b.bigcommerce.com/api/v3/io/shopping-list/:shoppingListId
PUT
/api/v3/io/shopping-list/:shoppingListId
$curl -X PUT https://api-b2b.bigcommerce.com/api/v3/io/shopping-list/1 \
> -H "X-Auth-Token: <apiKey>" \
> -H "Content-Type: application/json" \
> -d '{
> "name": "test",
> "description": "develop test",
> "status": 0,
> "userId": 223437,
> "items": [
> {
> "id": 75693,
> "productId": 107,
> "variantId": 73,
> "quantity": 0
> },
> {
> "id": 85416,
> "productId": 86,
> "variantId": 66,
> "quantity": 40
> },
> {
> "id": 76533,
> "productId": 112,
> "variantId": 79,
> "quantity": 1
> }
> ]
>}'
1{
2 "code": 200,
3 "meta": {
4 "message": "SUCCESS"
5 },
6 "data": {
7 "status": 0,
8 "id": 1,
9 "name": "my first shopping list",
10 "description": "this is my first shopping list",
11 "companyId": 1,
12 "userId": 12,
13 "createdAt": 1631495936,
14 "updatedAt": 1631495936,
15 "channelId": 1,
16 "channelName": "string"
17 }
18}
update a shopping list detail. you can also update shopping list items by update the items field by this API endpoints. note: 1. User id for update the shopping list is not required. You can optionally enter this field according to whether you need to judge user permissions. 2. The ID field in shopping list items is an optional field. If it is null, you can only change the quantity of this item by product ID, variant ID and option list, these three fields will determine an actual item. If it is not null, the ID field will determine an actual item and you can change product ID, variant ID, and option list by this way. 3. Set a zero quantity of shopping list item will delete this item. 4. Quantity = 0 will remove item, you can modify multiple items at one time.
Was this page helpful?
Previous

Get Shopping List

Next

Delete Shopping List

Built with

update a shopping list detail. you can also update shopping list items by update the items field by this API endpoints. note:

  1. User id for update the shopping list is not required. You can optionally enter this field according to whether you need to judge user permissions.
  2. The ID field in shopping list items is an optional field. If it is null, you can only change the quantity of this item by product ID, variant ID and option list, these three fields will determine an actual item. If it is not null, the ID field will determine an actual item and you can change product ID, variant ID, and option list by this way.
  3. Set a zero quantity of shopping list item will delete this item.
  4. Quantity = 0 will remove item, you can modify multiple items at one time.

Authentication

X-Auth-Tokenstring
| Header | Argument | Description | |:-------|:---------|:------------| | `X-Auth-Token` | `access_token` | For more about API accounts that generate `access_token`s, see our [Guide to API Accounts](/developer/docs/overview/api-fundamentals/api-accounts). | For example requests and more information about authenticating BigCommerce APIs, see [Authentication and Example Requests](/developer/docs/overview/api-fundamentals/api-accounts#x-auth-token-header-example-requests). For more about BigCommerce OAuth scopes, see our [Guide to API Accounts](/developer/docs/overview/api-fundamentals/api-accounts#oauth-scopes). For a list of API status codes, see [API Status Codes](/developer/api-reference/rest/overview#rest-http-status-codes).
X-Store-Hashstring
| Header | Argument | Description | |:-------|:---------|:------------| | `X-Store-Hash` | `store_hash` | The unique store hash associated with a BigCommerce store that has B2B Edition enabled. |

Path parameters

shoppingListIdintegerRequired
The unique ID for a shopping list.

Request

namestringOptional
name for shopping list
descriptionstringOptional
description information for shopping list
statusenumOptional

status of shopping list, (0: approved, 20: deleted, 30: draft, 40: ready for approval)

Allowed values:
userIdintegerOptional
B2B Edition buyer user ID, you can enter a user ID to check if this user can update this shopping list.
customerIdintegerOptional
BigCommerce customer ID, passing this parameter will obtain the shopping list according to the b2c user.
itemslist of objectsOptional

Response

OK
codeinteger
Response code of success request.
metaobject
dataobject

Errors

404
Not Found Error
422
Unprocessable Entity Error
HeaderArgumentDescription
X-Auth-Tokenaccess_tokenFor more about API accounts that generate access_tokens, see our Guide to API Accounts.

For example requests and more information about authenticating BigCommerce APIs, see Authentication and Example Requests.

For more about BigCommerce OAuth scopes, see our Guide to API Accounts.

For a list of API status codes, see API Status Codes.

HeaderArgumentDescription
X-Store-Hashstore_hashThe unique store hash associated with a BigCommerce store that has B2B Edition enabled.